package com.droideve.apps.dealify.utils;

import android.graphics.drawable.Drawable;
import android.view.View;

import androidx.core.content.res.ResourcesCompat;

import com.droideve.apps.dealify.R;
import com.droideve.apps.dealify.views.FilterView;
import com.mikepenz.community_material_typeface_library.CommunityMaterial;
import com.mikepenz.iconics.IconicsDrawable;

public class FilterUtils {

    /*public  static FilterView filter_setup(View rootView) {

        Drawable calender_icon = new IconicsDrawable(rootView.getContext())
                .icon(CommunityMaterial.Icon2.cmd_calendar)
                .color(ResourcesCompat.getColor(rootView.getContext().getResources(), R.color.defaultWhiteColor, null))
                .sizeDp(18);

        Drawable location_icon = new IconicsDrawable(rootView.getContext())
                .icon(CommunityMaterial.Icon2.cmd_map_marker)
                .color(ResourcesCompat.getColor(rootView.getContext().getResources(), R.color.defaultWhiteColor, null))
                .sizeDp(18);

        FilterView filterBar = rootView.findViewById(R.id.filter_layout);

        filterBar.setupLeft(calender_icon, rootView.getContext().getResources().getString(R.string.date_filtre));
        filterBar.setupRight(location_icon, rootView.getContext().getResources().getString(R.string.geo_Filter));

        return filterBar;
    }*/
}
